# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: tango_enums.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf.internal import enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='tango_enums.proto',
  package='mascot',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x11tango_enums.proto\x12\x06mascot*\xa9\x01\n\x08\x44\x65vState\x12\x06\n\x02ON\x10\x00\x12\x07\n\x03OFF\x10\x01\x12\t\n\x05\x43LOSE\x10\x02\x12\x08\n\x04OPEN\x10\x03\x12\n\n\x06INSERT\x10\x04\x12\x0b\n\x07\x45XTRACT\x10\x05\x12\n\n\x06MOVING\x10\x06\x12\x0b\n\x07STANDBY\x10\x07\x12\t\n\x05\x46\x41ULT\x10\x08\x12\x08\n\x04INIT\x10\t\x12\x0b\n\x07RUNNING\x10\n\x12\t\n\x05\x41LARM\x10\x0b\x12\x0b\n\x07\x44ISABLE\x10\x0c\x12\x0b\n\x07UNKNOWN\x10\r*\xc7\x04\n\nCmdArgType\x12\x0b\n\x07\x44\x65vVoid\x10\x00\x12\x0e\n\nDevBoolean\x10\x01\x12\x0c\n\x08\x44\x65vShort\x10\x02\x12\x0b\n\x07\x44\x65vLong\x10\x03\x12\x0c\n\x08\x44\x65vFloat\x10\x04\x12\r\n\tDevDouble\x10\x05\x12\r\n\tDevUShort\x10\x06\x12\x0c\n\x08\x44\x65vULong\x10\x07\x12\r\n\tDevString\x10\x08\x12\x13\n\x0f\x44\x65vVarCharArray\x10\t\x12\x14\n\x10\x44\x65vVarShortArray\x10\n\x12\x13\n\x0f\x44\x65vVarLongArray\x10\x0b\x12\x14\n\x10\x44\x65vVarFloatArray\x10\x0c\x12\x15\n\x11\x44\x65vVarDoubleArray\x10\r\x12\x15\n\x11\x44\x65vVarUShortArray\x10\x0e\x12\x14\n\x10\x44\x65vVarULongArray\x10\x0f\x12\x15\n\x11\x44\x65vVarStringArray\x10\x10\x12\x19\n\x15\x44\x65vVarLongStringArray\x10\x11\x12\x1b\n\x17\x44\x65vVarDoubleStringArray\x10\x12\x12\r\n\tDevStates\x10\x13\x12\x12\n\x0e\x43onstDevString\x10\x14\x12\x16\n\x12\x44\x65vVarBooleanArray\x10\x15\x12\x0c\n\x08\x44\x65vUChar\x10\x16\x12\r\n\tDevLong64\x10\x17\x12\x0e\n\nDevULong64\x10\x18\x12\x15\n\x11\x44\x65vVarLong64Array\x10\x19\x12\x16\n\x12\x44\x65vVarULong64Array\x10\x1a\x12\n\n\x06\x44\x65vInt\x10\x1b\x12\x0e\n\nDevEncoded\x10\x1c\x12\x0b\n\x07\x44\x65vEnum\x10\x1d\x12\x0f\n\x0b\x44\x65vPipeBlob\x10\x1e*!\n\x0bMessBoxType\x12\x08\n\x04STOP\x10\x00\x12\x08\n\x04INFO\x10\x01*Q\n\x0bPollObjType\x12\x0c\n\x08POLL_CMD\x10\x00\x12\r\n\tPOLL_ATTR\x10\x01\x12\x13\n\x0f\x45VENT_HEARTBEAT\x10\x02\x12\x10\n\x0cSTORE_SUBDEV\x10\x03*\xd1\x01\n\x0bPollCmdCode\x12\x10\n\x0cPOLL_ADD_OBJ\x10\x00\x12\x10\n\x0cPOLL_REM_OBJ\x10\x01\x12\x0e\n\nPOLL_START\x10\x02\x12\r\n\tPOLL_STOP\x10\x03\x12\x13\n\x0fPOLL_UPD_PERIOD\x10\x04\x12\x10\n\x0cPOLL_REM_DEV\x10\x05\x12\r\n\tPOLL_EXIT\x10\x06\x12\x19\n\x15POLL_REM_EXT_TRIG_OBJ\x10\x07\x12\x16\n\x12POLL_ADD_HEARTBEAT\x10\x08\x12\x16\n\x12POLL_REM_HEARTBEAT\x10\t*F\n\x0bSerialModel\x12\r\n\tBY_DEVICE\x10\x00\x12\x0b\n\x07\x42Y_enum\x10\x01\x12\x0e\n\nBY_PROCESS\x10\x02\x12\x0b\n\x07NO_SYNC\x10\x03*)\n\nAttReqType\x12\x0c\n\x08READ_REQ\x10\x00\x12\r\n\tWRITE_REQ\x10\x01*Z\n\x0bLockCmdCode\x12\x10\n\x0cLOCK_ADD_DEV\x10\x00\x12\x10\n\x0cLOCK_REM_DEV\x10\x01\x12\x18\n\x14LOCK_UNLOCK_ALL_EXIT\x10\x02\x12\r\n\tLOCK_EXIT\x10\x03*`\n\x08LogLevel\x12\x0b\n\x07LOG_OFF\x10\x00\x12\r\n\tLOG_FATAL\x10\x01\x12\r\n\tLOG_ERROR\x10\x02\x12\x0c\n\x08LOG_WARN\x10\x03\x12\x0c\n\x08LOG_INFO\x10\x04\x12\r\n\tLOG_DEBUG\x10\x05*:\n\tLogTarget\x12\x0f\n\x0bLOG_CONSOLE\x10\x00\x12\x0c\n\x08LOG_FILE\x10\x01\x12\x0e\n\nLOG_DEVICE\x10\x02*\xbe\x01\n\tEventType\x12\x10\n\x0c\x43HANGE_EVENT\x10\x00\x12\x11\n\rQUALITY_EVENT\x10\x01\x12\x12\n\x0ePERIODIC_EVENT\x10\x02\x12\x11\n\rARCHIVE_EVENT\x10\x03\x12\x0e\n\nUSER_EVENT\x10\x04\x12\x13\n\x0f\x41TTR_CONF_EVENT\x10\x05\x12\x14\n\x10\x44\x41TA_READY_EVENT\x10\x06\x12\x1a\n\x16INTERFACE_CHANGE_EVENT\x10\x07\x12\x0e\n\nPIPE_EVENT\x10\x08*\x1f\n\x10KeepAliveCmdCode\x12\x0b\n\x07\x45XIT_TH\x10\x00*6\n\x11\x41\x63\x63\x65ssControlType\x12\x0f\n\x0b\x41\x43\x43\x45SS_READ\x10\x00\x12\x10\n\x0c\x41\x43\x43\x45SS_WRITE\x10\x01*:\n\rasyn_req_type\x12\x0b\n\x07POLLING\x10\x00\x12\x0c\n\x08\x43\x41LLBACK\x10\x01\x12\x0e\n\nALL_ASYNCH\x10\x02*4\n\x0c\x63\x62_sub_model\x12\x11\n\rPUSH_CALLBACK\x10\x00\x12\x11\n\rPULL_CALLBACK\x10\x01*d\n\x0b\x41ttrQuality\x12\x0e\n\nATTR_VALID\x10\x00\x12\x10\n\x0c\x41TTR_INVALID\x10\x01\x12\x0e\n\nATTR_ALARM\x10\x02\x12\x11\n\rATTR_CHANGING\x10\x03\x12\x10\n\x0c\x41TTR_WARNING\x10\x04*I\n\rAttrWriteType\x12\x08\n\x04READ\x10\x00\x12\x13\n\x0fREAD_WITH_WRITE\x10\x01\x12\t\n\x05WRITE\x10\x02\x12\x0e\n\nREAD_WRITE\x10\x03*F\n\x0e\x41ttrDataFormat\x12\n\n\x06SCALAR\x10\x00\x12\x0c\n\x08SPECTRUM\x10\x01\x12\t\n\x05IMAGE\x10\x02\x12\x0f\n\x0b\x46MT_UNKNOWN\x10\x03*3\n\rPipeWriteType\x12\r\n\tPIPE_READ\x10\x00\x12\x13\n\x0fPIPE_READ_WRITE\x10\x01*.\n\tDevSource\x12\x07\n\x03\x44\x45V\x10\x00\x12\t\n\x05\x43\x41\x43HE\x10\x01\x12\r\n\tCACHE_DEV\x10\x02*+\n\x0b\x45rrSeverity\x12\x08\n\x04WARN\x10\x00\x12\x07\n\x03\x45RR\x10\x01\x12\t\n\x05PANIC\x10\x02*%\n\tDispLevel\x12\x0c\n\x08OPERATOR\x10\x00\x12\n\n\x06\x45XPERT\x10\x01*5\n\tGreenMode\x12\x0f\n\x0bSynchronous\x10\x00\x12\x0b\n\x07\x46utures\x10\x01\x12\n\n\x06Gevent\x10\x02\x62\x06proto3')
)

_DEVSTATE = _descriptor.EnumDescriptor(
  name='DevState',
  full_name='mascot.DevState',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='ON', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='OFF', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='CLOSE', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='OPEN', index=3, number=3,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='INSERT', index=4, number=4,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='EXTRACT', index=5, number=5,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='MOVING', index=6, number=6,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='STANDBY', index=7, number=7,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='FAULT', index=8, number=8,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='INIT', index=9, number=9,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='RUNNING', index=10, number=10,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ALARM', index=11, number=11,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DISABLE', index=12, number=12,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=13, number=13,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=30,
  serialized_end=199,
)
_sym_db.RegisterEnumDescriptor(_DEVSTATE)

DevState = enum_type_wrapper.EnumTypeWrapper(_DEVSTATE)
_CMDARGTYPE = _descriptor.EnumDescriptor(
  name='CmdArgType',
  full_name='mascot.CmdArgType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='DevVoid', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevBoolean', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevShort', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevLong', index=3, number=3,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevFloat', index=4, number=4,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevDouble', index=5, number=5,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevUShort', index=6, number=6,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevULong', index=7, number=7,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevString', index=8, number=8,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarCharArray', index=9, number=9,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarShortArray', index=10, number=10,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarLongArray', index=11, number=11,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarFloatArray', index=12, number=12,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarDoubleArray', index=13, number=13,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarUShortArray', index=14, number=14,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarULongArray', index=15, number=15,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarStringArray', index=16, number=16,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarLongStringArray', index=17, number=17,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarDoubleStringArray', index=18, number=18,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevStates', index=19, number=19,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ConstDevString', index=20, number=20,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarBooleanArray', index=21, number=21,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevUChar', index=22, number=22,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevLong64', index=23, number=23,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevULong64', index=24, number=24,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarLong64Array', index=25, number=25,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevVarULong64Array', index=26, number=26,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevInt', index=27, number=27,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevEncoded', index=28, number=28,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevEnum', index=29, number=29,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DevPipeBlob', index=30, number=30,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=202,
  serialized_end=785,
)
_sym_db.RegisterEnumDescriptor(_CMDARGTYPE)

CmdArgType = enum_type_wrapper.EnumTypeWrapper(_CMDARGTYPE)
_MESSBOXTYPE = _descriptor.EnumDescriptor(
  name='MessBoxType',
  full_name='mascot.MessBoxType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='STOP', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='INFO', index=1, number=1,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=787,
  serialized_end=820,
)
_sym_db.RegisterEnumDescriptor(_MESSBOXTYPE)

MessBoxType = enum_type_wrapper.EnumTypeWrapper(_MESSBOXTYPE)
_POLLOBJTYPE = _descriptor.EnumDescriptor(
  name='PollObjType',
  full_name='mascot.PollObjType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='POLL_CMD', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_ATTR', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='EVENT_HEARTBEAT', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='STORE_SUBDEV', index=3, number=3,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=822,
  serialized_end=903,
)
_sym_db.RegisterEnumDescriptor(_POLLOBJTYPE)

PollObjType = enum_type_wrapper.EnumTypeWrapper(_POLLOBJTYPE)
_POLLCMDCODE = _descriptor.EnumDescriptor(
  name='PollCmdCode',
  full_name='mascot.PollCmdCode',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='POLL_ADD_OBJ', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_REM_OBJ', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_START', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_STOP', index=3, number=3,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_UPD_PERIOD', index=4, number=4,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_REM_DEV', index=5, number=5,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_EXIT', index=6, number=6,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_REM_EXT_TRIG_OBJ', index=7, number=7,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_ADD_HEARTBEAT', index=8, number=8,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='POLL_REM_HEARTBEAT', index=9, number=9,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=906,
  serialized_end=1115,
)
_sym_db.RegisterEnumDescriptor(_POLLCMDCODE)

PollCmdCode = enum_type_wrapper.EnumTypeWrapper(_POLLCMDCODE)
_SERIALMODEL = _descriptor.EnumDescriptor(
  name='SerialModel',
  full_name='mascot.SerialModel',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='BY_DEVICE', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='BY_enum', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='BY_PROCESS', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='NO_SYNC', index=3, number=3,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1117,
  serialized_end=1187,
)
_sym_db.RegisterEnumDescriptor(_SERIALMODEL)

SerialModel = enum_type_wrapper.EnumTypeWrapper(_SERIALMODEL)
_ATTREQTYPE = _descriptor.EnumDescriptor(
  name='AttReqType',
  full_name='mascot.AttReqType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='READ_REQ', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='WRITE_REQ', index=1, number=1,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1189,
  serialized_end=1230,
)
_sym_db.RegisterEnumDescriptor(_ATTREQTYPE)

AttReqType = enum_type_wrapper.EnumTypeWrapper(_ATTREQTYPE)
_LOCKCMDCODE = _descriptor.EnumDescriptor(
  name='LockCmdCode',
  full_name='mascot.LockCmdCode',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='LOCK_ADD_DEV', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOCK_REM_DEV', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOCK_UNLOCK_ALL_EXIT', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOCK_EXIT', index=3, number=3,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1232,
  serialized_end=1322,
)
_sym_db.RegisterEnumDescriptor(_LOCKCMDCODE)

LockCmdCode = enum_type_wrapper.EnumTypeWrapper(_LOCKCMDCODE)
_LOGLEVEL = _descriptor.EnumDescriptor(
  name='LogLevel',
  full_name='mascot.LogLevel',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='LOG_OFF', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOG_FATAL', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOG_ERROR', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOG_WARN', index=3, number=3,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOG_INFO', index=4, number=4,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOG_DEBUG', index=5, number=5,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1324,
  serialized_end=1420,
)
_sym_db.RegisterEnumDescriptor(_LOGLEVEL)

LogLevel = enum_type_wrapper.EnumTypeWrapper(_LOGLEVEL)
_LOGTARGET = _descriptor.EnumDescriptor(
  name='LogTarget',
  full_name='mascot.LogTarget',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='LOG_CONSOLE', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOG_FILE', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='LOG_DEVICE', index=2, number=2,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1422,
  serialized_end=1480,
)
_sym_db.RegisterEnumDescriptor(_LOGTARGET)

LogTarget = enum_type_wrapper.EnumTypeWrapper(_LOGTARGET)
_EVENTTYPE = _descriptor.EnumDescriptor(
  name='EventType',
  full_name='mascot.EventType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='CHANGE_EVENT', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='QUALITY_EVENT', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='PERIODIC_EVENT', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ARCHIVE_EVENT', index=3, number=3,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='USER_EVENT', index=4, number=4,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ATTR_CONF_EVENT', index=5, number=5,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DATA_READY_EVENT', index=6, number=6,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='INTERFACE_CHANGE_EVENT', index=7, number=7,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='PIPE_EVENT', index=8, number=8,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1483,
  serialized_end=1673,
)
_sym_db.RegisterEnumDescriptor(_EVENTTYPE)

EventType = enum_type_wrapper.EnumTypeWrapper(_EVENTTYPE)
_KEEPALIVECMDCODE = _descriptor.EnumDescriptor(
  name='KeepAliveCmdCode',
  full_name='mascot.KeepAliveCmdCode',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='EXIT_TH', index=0, number=0,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1675,
  serialized_end=1706,
)
_sym_db.RegisterEnumDescriptor(_KEEPALIVECMDCODE)

KeepAliveCmdCode = enum_type_wrapper.EnumTypeWrapper(_KEEPALIVECMDCODE)
_ACCESSCONTROLTYPE = _descriptor.EnumDescriptor(
  name='AccessControlType',
  full_name='mascot.AccessControlType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='ACCESS_READ', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ACCESS_WRITE', index=1, number=1,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1708,
  serialized_end=1762,
)
_sym_db.RegisterEnumDescriptor(_ACCESSCONTROLTYPE)

AccessControlType = enum_type_wrapper.EnumTypeWrapper(_ACCESSCONTROLTYPE)
_ASYN_REQ_TYPE = _descriptor.EnumDescriptor(
  name='asyn_req_type',
  full_name='mascot.asyn_req_type',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='POLLING', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='CALLBACK', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ALL_ASYNCH', index=2, number=2,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1764,
  serialized_end=1822,
)
_sym_db.RegisterEnumDescriptor(_ASYN_REQ_TYPE)

asyn_req_type = enum_type_wrapper.EnumTypeWrapper(_ASYN_REQ_TYPE)
_CB_SUB_MODEL = _descriptor.EnumDescriptor(
  name='cb_sub_model',
  full_name='mascot.cb_sub_model',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='PUSH_CALLBACK', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='PULL_CALLBACK', index=1, number=1,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1824,
  serialized_end=1876,
)
_sym_db.RegisterEnumDescriptor(_CB_SUB_MODEL)

cb_sub_model = enum_type_wrapper.EnumTypeWrapper(_CB_SUB_MODEL)
_ATTRQUALITY = _descriptor.EnumDescriptor(
  name='AttrQuality',
  full_name='mascot.AttrQuality',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='ATTR_VALID', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ATTR_INVALID', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ATTR_ALARM', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ATTR_CHANGING', index=3, number=3,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ATTR_WARNING', index=4, number=4,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1878,
  serialized_end=1978,
)
_sym_db.RegisterEnumDescriptor(_ATTRQUALITY)

AttrQuality = enum_type_wrapper.EnumTypeWrapper(_ATTRQUALITY)
_ATTRWRITETYPE = _descriptor.EnumDescriptor(
  name='AttrWriteType',
  full_name='mascot.AttrWriteType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='READ', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='READ_WITH_WRITE', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='WRITE', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='READ_WRITE', index=3, number=3,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1980,
  serialized_end=2053,
)
_sym_db.RegisterEnumDescriptor(_ATTRWRITETYPE)

AttrWriteType = enum_type_wrapper.EnumTypeWrapper(_ATTRWRITETYPE)
_ATTRDATAFORMAT = _descriptor.EnumDescriptor(
  name='AttrDataFormat',
  full_name='mascot.AttrDataFormat',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='SCALAR', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='SPECTRUM', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='IMAGE', index=2, number=2,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='FMT_UNKNOWN', index=3, number=3,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=2055,
  serialized_end=2125,
)
_sym_db.RegisterEnumDescriptor(_ATTRDATAFORMAT)

AttrDataFormat = enum_type_wrapper.EnumTypeWrapper(_ATTRDATAFORMAT)
_PIPEWRITETYPE = _descriptor.EnumDescriptor(
  name='PipeWriteType',
  full_name='mascot.PipeWriteType',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='PIPE_READ', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='PIPE_READ_WRITE', index=1, number=1,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=2127,
  serialized_end=2178,
)
_sym_db.RegisterEnumDescriptor(_PIPEWRITETYPE)

PipeWriteType = enum_type_wrapper.EnumTypeWrapper(_PIPEWRITETYPE)
_DEVSOURCE = _descriptor.EnumDescriptor(
  name='DevSource',
  full_name='mascot.DevSource',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='DEV', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='CACHE', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='CACHE_DEV', index=2, number=2,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=2180,
  serialized_end=2226,
)
_sym_db.RegisterEnumDescriptor(_DEVSOURCE)

DevSource = enum_type_wrapper.EnumTypeWrapper(_DEVSOURCE)
_ERRSEVERITY = _descriptor.EnumDescriptor(
  name='ErrSeverity',
  full_name='mascot.ErrSeverity',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='WARN', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ERR', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='PANIC', index=2, number=2,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=2228,
  serialized_end=2271,
)
_sym_db.RegisterEnumDescriptor(_ERRSEVERITY)

ErrSeverity = enum_type_wrapper.EnumTypeWrapper(_ERRSEVERITY)
_DISPLEVEL = _descriptor.EnumDescriptor(
  name='DispLevel',
  full_name='mascot.DispLevel',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='OPERATOR', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='EXPERT', index=1, number=1,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=2273,
  serialized_end=2310,
)
_sym_db.RegisterEnumDescriptor(_DISPLEVEL)

DispLevel = enum_type_wrapper.EnumTypeWrapper(_DISPLEVEL)
_GREENMODE = _descriptor.EnumDescriptor(
  name='GreenMode',
  full_name='mascot.GreenMode',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='Synchronous', index=0, number=0,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='Futures', index=1, number=1,
      serialized_options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='Gevent', index=2, number=2,
      serialized_options=None,
      type=None),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=2312,
  serialized_end=2365,
)
_sym_db.RegisterEnumDescriptor(_GREENMODE)

GreenMode = enum_type_wrapper.EnumTypeWrapper(_GREENMODE)
ON = 0
OFF = 1
CLOSE = 2
OPEN = 3
INSERT = 4
EXTRACT = 5
MOVING = 6
STANDBY = 7
FAULT = 8
INIT = 9
RUNNING = 10
ALARM = 11
DISABLE = 12
UNKNOWN = 13
DevVoid = 0
DevBoolean = 1
DevShort = 2
DevLong = 3
DevFloat = 4
DevDouble = 5
DevUShort = 6
DevULong = 7
DevString = 8
DevVarCharArray = 9
DevVarShortArray = 10
DevVarLongArray = 11
DevVarFloatArray = 12
DevVarDoubleArray = 13
DevVarUShortArray = 14
DevVarULongArray = 15
DevVarStringArray = 16
DevVarLongStringArray = 17
DevVarDoubleStringArray = 18
DevStates = 19
ConstDevString = 20
DevVarBooleanArray = 21
DevUChar = 22
DevLong64 = 23
DevULong64 = 24
DevVarLong64Array = 25
DevVarULong64Array = 26
DevInt = 27
DevEncoded = 28
DevEnum = 29
DevPipeBlob = 30
STOP = 0
INFO = 1
POLL_CMD = 0
POLL_ATTR = 1
EVENT_HEARTBEAT = 2
STORE_SUBDEV = 3
POLL_ADD_OBJ = 0
POLL_REM_OBJ = 1
POLL_START = 2
POLL_STOP = 3
POLL_UPD_PERIOD = 4
POLL_REM_DEV = 5
POLL_EXIT = 6
POLL_REM_EXT_TRIG_OBJ = 7
POLL_ADD_HEARTBEAT = 8
POLL_REM_HEARTBEAT = 9
BY_DEVICE = 0
BY_enum = 1
BY_PROCESS = 2
NO_SYNC = 3
READ_REQ = 0
WRITE_REQ = 1
LOCK_ADD_DEV = 0
LOCK_REM_DEV = 1
LOCK_UNLOCK_ALL_EXIT = 2
LOCK_EXIT = 3
LOG_OFF = 0
LOG_FATAL = 1
LOG_ERROR = 2
LOG_WARN = 3
LOG_INFO = 4
LOG_DEBUG = 5
LOG_CONSOLE = 0
LOG_FILE = 1
LOG_DEVICE = 2
CHANGE_EVENT = 0
QUALITY_EVENT = 1
PERIODIC_EVENT = 2
ARCHIVE_EVENT = 3
USER_EVENT = 4
ATTR_CONF_EVENT = 5
DATA_READY_EVENT = 6
INTERFACE_CHANGE_EVENT = 7
PIPE_EVENT = 8
EXIT_TH = 0
ACCESS_READ = 0
ACCESS_WRITE = 1
POLLING = 0
CALLBACK = 1
ALL_ASYNCH = 2
PUSH_CALLBACK = 0
PULL_CALLBACK = 1
ATTR_VALID = 0
ATTR_INVALID = 1
ATTR_ALARM = 2
ATTR_CHANGING = 3
ATTR_WARNING = 4
READ = 0
READ_WITH_WRITE = 1
WRITE = 2
READ_WRITE = 3
SCALAR = 0
SPECTRUM = 1
IMAGE = 2
FMT_UNKNOWN = 3
PIPE_READ = 0
PIPE_READ_WRITE = 1
DEV = 0
CACHE = 1
CACHE_DEV = 2
WARN = 0
ERR = 1
PANIC = 2
OPERATOR = 0
EXPERT = 1
Synchronous = 0
Futures = 1
Gevent = 2


DESCRIPTOR.enum_types_by_name['DevState'] = _DEVSTATE
DESCRIPTOR.enum_types_by_name['CmdArgType'] = _CMDARGTYPE
DESCRIPTOR.enum_types_by_name['MessBoxType'] = _MESSBOXTYPE
DESCRIPTOR.enum_types_by_name['PollObjType'] = _POLLOBJTYPE
DESCRIPTOR.enum_types_by_name['PollCmdCode'] = _POLLCMDCODE
DESCRIPTOR.enum_types_by_name['SerialModel'] = _SERIALMODEL
DESCRIPTOR.enum_types_by_name['AttReqType'] = _ATTREQTYPE
DESCRIPTOR.enum_types_by_name['LockCmdCode'] = _LOCKCMDCODE
DESCRIPTOR.enum_types_by_name['LogLevel'] = _LOGLEVEL
DESCRIPTOR.enum_types_by_name['LogTarget'] = _LOGTARGET
DESCRIPTOR.enum_types_by_name['EventType'] = _EVENTTYPE
DESCRIPTOR.enum_types_by_name['KeepAliveCmdCode'] = _KEEPALIVECMDCODE
DESCRIPTOR.enum_types_by_name['AccessControlType'] = _ACCESSCONTROLTYPE
DESCRIPTOR.enum_types_by_name['asyn_req_type'] = _ASYN_REQ_TYPE
DESCRIPTOR.enum_types_by_name['cb_sub_model'] = _CB_SUB_MODEL
DESCRIPTOR.enum_types_by_name['AttrQuality'] = _ATTRQUALITY
DESCRIPTOR.enum_types_by_name['AttrWriteType'] = _ATTRWRITETYPE
DESCRIPTOR.enum_types_by_name['AttrDataFormat'] = _ATTRDATAFORMAT
DESCRIPTOR.enum_types_by_name['PipeWriteType'] = _PIPEWRITETYPE
DESCRIPTOR.enum_types_by_name['DevSource'] = _DEVSOURCE
DESCRIPTOR.enum_types_by_name['ErrSeverity'] = _ERRSEVERITY
DESCRIPTOR.enum_types_by_name['DispLevel'] = _DISPLEVEL
DESCRIPTOR.enum_types_by_name['GreenMode'] = _GREENMODE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)


# @@protoc_insertion_point(module_scope)
